
Summary: A library for creating MusicBrainz enabled tagging applications 
Name:	 libtunepimp
Version: 0.4.3
Release: 6%{?dist}

License: LGPL
Group: 	 System Environment/Libraries
URL:	 http://www.musicbrainz.org/products/tunepimp/
Source:	 http://ftp.musicbrainz.org/pub/musicbrainz/libtunepimp-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# http://lists.musicbrainz.org/pipermail/musicbrainz-devel/2006-September/001856.html
%define pkglibdir %{_libdir}/tunepimp
Patch1: libtunepimp-0.4.3-PLUGIN_DIR.patch

BuildRequires: readline-devel ncurses-devel
BuildRequires: zlib-devel
BuildRequires: libmusicbrainz-devel >= 2.1.0
BuildRequires: flac-devel
BuildRequires: libvorbis-devel
BuildRequires: taglib-devel
# TODO/FIXME: see http://bugzilla.redhat.com/191036
#BuildRequires: libmp4v2-devel

%if "%{version}" >= "0.5.0"
BuildRequires: expat-devel
BuildRequires: curl-devel
BuildRequires: libofa-devel
%endif

%description
The TunePimp library is a development library geared towards developers 
who wish to create MusicBrainz enabled tagging applications.

%package devel
Summary: Headers for developing programs that will use %{name} 
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}
%description devel
%{summary}.

%package tools
Summary: MusicBrainz tagging tools 
Group:   Applications/Multimedia
Requires: %{name} = %{version}-%{release}
%description tools
%{summary}.


%prep
%setup -q -n libtunepimp-%{version}

%patch1 -p1 -b .PLUGIN_DIR

%build
%configure \
  --disable-static \
  --disable-dependency-tracking \
  --enable-lgpl

make %{?_smp_mflags} PLUGIN_DIR=%{pkglibdir}/plugins


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT PLUGIN_DIR=%{pkglibdir}/plugins

# unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog TODO 
# README omitted, it's mostly useless
%doc README.LGPL
%{_libdir}/lib*.so.*
%dir %{pkglibdir}
%dir %{pkglibdir}/plugins/
%{pkglibdir}/plugins/flac.tpp
%{pkglibdir}/plugins/mpc.tpp
%{pkglibdir}/plugins/vorbis.tpp
%{pkglibdir}/plugins/wav.tpp
%{pkglibdir}/plugins/wma.tpp

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/lib*.so

%files tools
%defattr(-,root,root,-)
%{_bindir}/*


%changelog
* Thu Sep 14 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.3-6
- PLUGIN_DIR patch, fix lib64 issues

* Thu Aug 31 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.3-3
- BR: taglib-devel, readline-devel, ncurses-devel

* Tue Aug 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.3-2
- 0.4.3

* Tue Jul 11 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.2-4
- BR: ncurses-devel

* Mon Jul 10 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.2-3
- drop ancient,deprecated Obsoletes/Provides: trm
- fix buffer overflow (bug #198195)
- License: LGPL, we're omitting the non-lgpl bits

* Thu Mar 16 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.2-1
- 0.4.2

* Wed Mar 1 2006 Rex Dieter <rexdieter[AT]users.sf.net>
- fc5: gcc/glibc respin

* Mon Dec 19 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0-5
- update gcc4 patch

* Mon Dec 19 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0-4
- -tools: fix Req: %%name dependancy

* Mon Nov 28 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0-3
- -tools: split out %%_bindir bits (to be multi-arch friendly)

* Sat Nov 19 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0-2
- BR: libmusicbrainz -> libmusicbrainz-devel
- BR: libogg-devel -> libvorbis-devel
- BR: zlib-devel

* Thu Nov 17 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0-1
- 0.4.0
- built with --enable-lgpl which omits mp3 plugin bits

* Mon Jun 13 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.3.0-1
- gcc4 patch
- 0.3.0 (first try)

